CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > Software User Forums > OpenFOAM > OpenFOAM Installation

[OpenFOAM.com] Error in installation of swak4Foam

Register Blogs Members List Search Today's Posts Mark Forums Read

Like Tree2Likes
  • 2 Post By kanlinkan

Reply
 
LinkBack Thread Tools Search this Thread Display Modes
Old   July 7, 2021, 03:45
Default Error in installation of swak4Foam
  #1
New Member
 
Dhananjay Shende
Join Date: Jul 2021
Posts: 1
Rep Power: 0
dhananjay_shende is on a distinguished road
Please can any expert points out what is the problem of OF23x

I followed exactly the steps: https://openfoamwiki.net/index.php/I...Error_Messages

I have also attached logs.tar.g file with this.


I appreciate anyone help
Attached Files
File Type: gz logs.tar.gz (1.2 KB, 2 views)
dhananjay_shende is offline   Reply With Quote

Old   July 9, 2021, 16:47
Default Compilation error with Swak4Foam on v2106
  #2
New Member
 
Anthony Kalinaki
Join Date: Dec 2019
Posts: 2
Rep Power: 0
kanlinkan is on a distinguished road
My compilation is also stuck at this output.


Code:
Current OpenFOAM version is v2106.
This is a clean install

/home/kanlinkan/OpenFOAM/kanlinkan-v2106/swak4Foam/privateRequirements/bin existing. Prepending to PATH-variable (private version of Bison)

Reading variables from 'swakConfiguration'
Looking for Python 2
Looking for Python 3
Found Python 3.9
Configuring Python 3.9
Using python3.9 at /usr/bin/python3.9-config for python3
Using our own Lua at /home/kanlinkan/OpenFOAM/kanlinkan-v2106/swak4Foam/privateRequirements
Checking swak4Foam-version and generating file
Swak version is 202x.yy.0
hg info: 06fdbe848844 (develop) tip
Using /usr/bin/bear to build compilation database
Bison: /home/kanlinkan/OpenFOAM/kanlinkan-v2106/swak4Foam/privateRequirements/bin/bison
Flex: /usr/bin/flex
Bison at /home/kanlinkan/OpenFOAM/kanlinkan-v2106/swak4Foam/privateRequirements/bin/bison is version 3.4 (Major 3 Minor 4)
Flex is version 2.6.4 (Minor version: 4)
OpenFOAM-version: Major 2106 Minor 0 Patch 0 (-1 == x / 0) Fork: com
No swak4FoamParsers/foamVersion4swak.H. Generated

Please include the output above when reporting a problem in the compilation. It helps diagnosing the problem


    ln: simpleFunctionObjects/lnInclude
Unrecognized parameter: "--cdb=/home/kanlinkan/OpenFOAM/kanlinkan-v2106/swak4Foam/compile_commands.json"
Usage: bear [--output <arg>] [--verbose] -- ...
Parser library did not compile OK. No sense continuing as everything else depends on it
Ubuntu 21.04
kanlinkan is offline   Reply With Quote

Old   July 10, 2021, 03:09
Default
  #3
New Member
 
Anthony Kalinaki
Join Date: Dec 2019
Posts: 2
Rep Power: 0
kanlinkan is on a distinguished road
Quote:
Originally Posted by kanlinkan View Post
My compilation is also stuck at this output.


Code:
Current OpenFOAM version is v2106.
This is a clean install

/home/kanlinkan/OpenFOAM/kanlinkan-v2106/swak4Foam/privateRequirements/bin existing. Prepending to PATH-variable (private version of Bison)

Reading variables from 'swakConfiguration'
Looking for Python 2
Looking for Python 3
Found Python 3.9
Configuring Python 3.9
Using python3.9 at /usr/bin/python3.9-config for python3
Using our own Lua at /home/kanlinkan/OpenFOAM/kanlinkan-v2106/swak4Foam/privateRequirements
Checking swak4Foam-version and generating file
Swak version is 202x.yy.0
hg info: 06fdbe848844 (develop) tip
Using /usr/bin/bear to build compilation database
Bison: /home/kanlinkan/OpenFOAM/kanlinkan-v2106/swak4Foam/privateRequirements/bin/bison
Flex: /usr/bin/flex
Bison at /home/kanlinkan/OpenFOAM/kanlinkan-v2106/swak4Foam/privateRequirements/bin/bison is version 3.4 (Major 3 Minor 4)
Flex is version 2.6.4 (Minor version: 4)
OpenFOAM-version: Major 2106 Minor 0 Patch 0 (-1 == x / 0) Fork: com
No swak4FoamParsers/foamVersion4swak.H. Generated

Please include the output above when reporting a problem in the compilation. It helps diagnosing the problem


    ln: simpleFunctionObjects/lnInclude
Unrecognized parameter: "--cdb=/home/kanlinkan/OpenFOAM/kanlinkan-v2106/swak4Foam/compile_commands.json"
Usage: bear [--output <arg>] [--verbose] -- ...
Parser library did not compile OK. No sense continuing as everything else depends on it
Ubuntu 21.04
I removed bear and the compilation was successful.
ilhado and a.hajisharifi like this.
kanlinkan is offline   Reply With Quote

Old   August 19, 2021, 07:50
Default
  #4
New Member
 
Arash
Join Date: Dec 2015
Location: vienna
Posts: 15
Rep Power: 9
a.hajisharifi is on a distinguished road
Hi Anthony

I have very same problem. I can not compile swak4foam for OpenFoam2106.
how did you solve the problem?more specific, how did you remove bear?
after removing bear , does it work properly?

Bests
Arash
a.hajisharifi is offline   Reply With Quote

Reply

Tags
gschaider, swak4foam

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are Off
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
[swak4Foam] swak4foam >>>> INSTALLATION PROBLEM steven123 OpenFOAM Community Contributions 35 January 11, 2021 17:53
[swak4Foam] [OpenFOAM plus] [v1612+] swak4Foam installation problem in Windows (Allwmake) LThomes OpenFOAM Community Contributions 7 October 6, 2020 14:36
swak4foam installation in openfoam sumitv5977 OpenFOAM 4 June 29, 2020 19:33
[swak4Foam] swak4foam openfoam 7 installation problem Andrea23 OpenFOAM Community Contributions 1 February 17, 2020 19:11
[swak4Foam] swak4Foam 0.3.1 OF2.2.2 Installation Issue scnsc OpenFOAM Community Contributions 3 August 20, 2014 08:59


All times are GMT -4. The time now is 05:26.